edu.sc.seis.sod.status

## Class IndexTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.FileWritingTemplate
    - - edu.sc.seis.sod.status.IndexTemplate

- All Implemented Interfaces:
    SodElement, GenericTemplate, WaveformMonitor, java.lang.Runnable

      public class IndexTemplate
      extends FileWritingTemplate
      implements WaveformMonitor

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexTemplate()`
    `IndexTemplate(java.lang.String dirName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCopiedConfigFileLocation()`
    `static java.lang.String` | `getHtmlConfigFileName()`
    `protected java.lang.Object` | `getTemplate(java.lang.String tagName, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `protected void` | `initExceptionHandler()`
    `void` | `performRegistration()` Exists so IndexTemplate can be created before arms, in order for exceptions in initialization to be in the status pages.
    `void` | `update(EventChannelPair ecp)`
    `void` | `update(EventNetworkPair ecp)`
    `void` | `update(EventStationPair ecp)`
    `void` | `update(EventVectorPair ecp)`

    - ### Methods inherited from class edu.sc.seis.sod.status.FileWritingTemplate

      `getBaseDirectoryName, getFilename, getOutputDirectory, getOutputLocation, getResult, run, testOutputLoc, textTemplate, toString, write, write`

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexTemplate

          public IndexTemplate()
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### IndexTemplate

          public IndexTemplate(java.lang.String dirName)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getCopiedConfigFileLocation

          public static java.lang.String getCopiedConfigFileLocation()

    - #### getHtmlConfigFileName

          public static java.lang.String getHtmlConfigFileName()

    - #### update

          public void update(EventNetworkPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventStationPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventChannelPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventVectorPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### performRegistration

          public void performRegistration()
                                   throws java.lang.Exception

      Exists so IndexTemplate can be created before arms, in order for exceptions in initialization to be in the status pages.
      Throws:
        `java.lang.Exception`

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tagName,
                                                 org.w3c.dom.Element el)
                                          throws ConfigurationException

      Description copied from class: `Template`
      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it should return the superclass implementation of the getCommonTemplate method. Though no harm will come from merely returning null, they won't benefit from the wisdom and extra tags provided by their elder classes.
      Overrides:
        `getTemplate` in class `FileWritingTemplate`
      Throws:
        `ConfigurationException`

    - #### initExceptionHandler

          protected void initExceptionHandler()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`